<?php


namespace App\Http\Controllers\api\thirdPart\haiq;




use App\Services\ForeignHaiRoboticsService;
use Illuminate\Http\Request;

class PickStationController
{

    /** @var ForeignHaiRoboticsService $service */
    private $service;
    public function __construct(){
        $this->service=app('ForeignHaiRoboticsService');
    }

    public function processed(Request $request){
        $success = $request->input('success');
        $code = $success?200:0;
        $this->service->markBinProcessed();
        app('LogService')->log(__METHOD__,__FUNCTION__,json_encode($request->all()));
        return ['code'=>$code,'errMsg'=>'','data'=>$request->all()];
    }

}
